%global __requires_exclude ^perl\\(File::Spec::Functions\\)$

Summary:        Automatically give your module the ability to have plugins
Name:           perl-Module-Pluggable
Version:        5.2
Release:        8%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Module-Pluggable
Source0:        https://cpan.metacpan.org/authors/id/S/SI/SIMONW/Module-Pluggable-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  coreutils findutils
BuildRequires:  perl-interpreter perl-generators perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict) perl(warnings) perl(File::Spec::Functions) >= 3.00
BuildRequires:  perl(Carp) perl(deprecate) perl(Exporter) >= 5.57
BuildRequires:  perl(File::Basename) perl(File::Find) perl(if) perl(vars)
BuildRequires:  perl(Module::Runtime) >= 0.012
BuildRequires:  perl(base) perl(Test::More) >= 0.62
BuildRequires:  perl(Data::Dumper) perl(FindBin) perl(lib)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(File::Copy) perl(File::Path) perl(File::Temp)
Requires:       perl(deprecate)
Requires:       perl(File::Spec::Functions) >= 3.00
Recommends:     perl(Module::Runtime) >= 0.012

BuildArch:      noarch

%description
This package provides a simple but, hopefully, extensible way of having 'plugins' or 
your module. It can export a method into your namespacethen search the path for .pm 
files, and convert those files to class names.It can instantiate these classes for you.

%prep
%autosetup -n Module-Pluggable-%{version}
find -type f -exec chmod -x {} +

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2-8
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2-7
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2-6
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 5.2-5
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 16 2023 Shuo Wang <abushwang@tencent.com> - 5.2-2
- remove unused buildrequires: perl(App::FatPacker)

* Thu Aug 11 2022 Wang Guodong <gordonwwang@tencent.com> - 5.2-1
- package init.
